@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.header {
    position: fixed;
    top: 0;
    left:0;
    width: 100%;
    padding: 20px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center; 
    z-index: 99;
}

.header .logo {
    font-size: 1.7em;
    color: #fff;
    text-decoration: none;
}

.home {
    position: relative;
    width: 100%;
    height: 100vh;
    background: url('../img/A.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 80px 100px 0;
}

.home .content {
    max-width: 600px;
    color: #fff;
}

.content h2 {
    font-size: 3em;
    letter-spacing: .03em;
}

.content p {
    margin: 10px 0 40px;
    text-align: justify;
}

.home .wrapper {
    position: relative;
    width: 440px;
    height: 440px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .5);
    border-radius: 20px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 30px rgba(0, 0, 0, .5);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: transform .5s ease, height .2s ease;
}

.wrapper.active {
    height: 520px;
}

.registro  {
    height: 450px;
    overflow-y: auto;
}

.registro::-webkit-scrollbar {
    width: 0.5em;
}

.inicio::-webkit-scrollbar {
    width: 0.5em;
}

.wrapper .form-box {
    width: 100%;
    padding: 40px;
}

.wrapper .form-box.login {
    transition: transform .18s ease;
    transform: translateX(0);
}

.wrapper.active .form-box.login {
    transition: none;
    transform: translateX(-400px);
}

.wrapper .form-box.register {
    position: absolute;
    transition: none;
    transform: translateX(400px);
}

.wrapper.active .form-box.register {
    transition: transform .18s ease;
    transform: translateX(0);
}

.form-box h2 {
    font-size: 2em;
    color: #fff;
    text-align: center;
}

.input-box {
    position: relative;
    width: 100%;
    height: 50px;
    border-bottom: 2px solid #fff;
    margin: 30px 0;
}

.input-box label {
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
    font-size: 1em;
    color: #fff;
    font-weight: 500;
    pointer-events: none;
    transition: .5s;
}

.input-box input:focus~label,
.input-box input:valid~label {
    top: -5px;
}

.input-box input {
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    color: #fff;
    font-weight: 600;
    padding: 0 35px 0 5px;
}

.input-box .icon {
    position:absolute;
    right: 8px;
    font-size: 1.2em;
    color: #fff;
    line-height: 57px;
}

.btn {
    width: 100%;
    height: 45px;
    background: #162938;
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1em;
    color:#fff;
    font-weight: 500;
}

.login-register {
    font-size: .9em;
    color: #162938;
    text-align: center;
    font-weight: 500;
    margin: 25px 0 10px;
}

.login-register p a {
    color: #162938;
    text-decoration: none;
    font-weight: 600;
}

.login-register p a:hover {
    text-decoration: underline;
}   

.alert {
    padding: 20px;
    color: white;
    opacity: 1;
    transition: opacity 0.6s;
    margin-bottom: 15px;
}

.closebtn {
    margin-left: 15px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

@media (max-width: 991px) {
    .home .content {
        max-width: 400px;
    }
}

@media (max-width: 768px) {
    .home .content {
        max-width: 200px;
    }

    .content p {
        display: none;
    }

    .content h2 {
        font-size: 2em;
    }

    .home {
        padding: 50px;
    }
}

@media (max-width: 480px) {
    .home .content {
        display: none;
    }

    .header {
        display: none;
    }
} 

@media screen and (max-width: 900px) and (orientation: landscape) {
    .home {
        justify-content: center;
    }
    .home .content {
        display: none;
    }

    .home .wrapper {
        height: 290px;
    }

    .header {
        display: none;
    }

    .inicio {
        height: 174px;
        overflow-y: auto;
    }
    
    .registro {
        height: 220px;
    }
}
